[arch-commits] Commit in (4 files)

Daniel Isenmann daniel at archlinux.org
Fri Oct 16 17:36:58 EDT 2009


    Date: Friday, October 16, 2009 @ 17:36:58
  Author: daniel
Revision: 55946

added for mono completion

Added:
  webkit-sharp/
  webkit-sharp/repos/
  webkit-sharp/trunk/
  webkit-sharp/trunk/PKGBUILD

----------+
 PKGBUILD |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

Added: webkit-sharp/trunk/PKGBUILD
===================================================================
--- webkit-sharp/trunk/PKGBUILD	                        (rev 0)
+++ webkit-sharp/trunk/PKGBUILD	2009-10-16 21:36:58 UTC (rev 55946)
@@ -0,0 +1,28 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: TDY <tdy at gmx.com>
+# Contributor: Paul Burton <paulburton89 at gmail.com>
+# Contributor: rabyte <rabyte__gmail>
+
+pkgname=webkit-sharp
+pkgver=0.2
+pkgrel=4
+pkgdesc="Mono/.NET bindings for the WebKit rendering engine"
+arch=('i686' 'x86_64')
+url="http://www.mono-project.com/"
+license=('custom:MIT')
+depends=('gtk-sharp-2' 'libwebkit')
+makedepends=('pkgconfig>=0.9.0')
+source=(http://ftp.novell.com/pub/mono/sources/$pkgname/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('8041fba941b7299e432380c86b6dddf8')
+
+build() {
+  export MONO_SHARED_DIR="${srcdir}/.wabi"
+  mkdir -p "${MONO_SHARED_DIR}"
+
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  sed -i 's/\.1/.2/' sources/webkit-sharp.dll.config.in
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}



More information about the arch-commits mailing list